package com.company.testlink.view.story;

import com.company.testlink.entity.Story;

import com.company.testlink.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "stories", layout = MainView.class)
@ViewController("Story.list")
@ViewDescriptor("story-list-view.xml")
@LookupComponent("storiesDataGrid")
@DialogMode(width = "64em")
public class StoryListView extends StandardListView<Story> {
}